%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion	2.11.5
%define release		1mdk

%define realname	Debug
%define modname		dbg
%define soname		%{modname}.so
%define inifile		56_%{modname}.ini

Summary:		The %{realname} module for PHP
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://dd.cron.ru/dbg/
License:		BSD
Source0:		%{modname}-%{rversion}-src.tar.bz2
Requires:		libphp_common%{libversion}
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRoot:		%{_tmppath}/%{name}-root
Provides: 		ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

The DBG Php Debugger is a comprehensive software tool that helps you
debugging your php scripts. It may work with your production or
development WEB server remotely or locally.

%prep

%setup -q -n %{modname}

%build

phpize
%configure \
    --enable-dbg \
    --with-dbg-profiler \
    --with-php-config=%{_bindir}/php-config

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}

[Debugger]
;zend_extension = `php-config --extension-dir`/dbg.so

debugger.enabled = true
debugger.profiler_enabled = true
debugger.JIT_host = clienthost
debugger.JIT_port = 7869

EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README.%{modname}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.11.5-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.11.5-1mdk
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.11.5-1mdk
- fix the php versioning
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.11.5-1mdk
- built against php-4.3.0
- 2.11.5
- follow the spec file design as in main

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Fri Jun 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-1mdk
- initial cooker contrib
